From: Dieter Meinert <[email-masked]>
Date: Wed, 24 Sep 1997 14:12:55 +0200

-----BEGIN PGP SIGNED MESSAGE-----

I apologize if this message was sent twice, but my subscription
to the wu-ftpd list failed the first time, so I do not know
wether this message got through.

I just installed wu-ftpd 2.4 on a Dec Alpha, OSF1 v4.0, using
Digitals cc.
It works fine, except for 1 thing: When an anonymous user submits
a dir command (or ls -la or similars) she gets an empty list returned:

Remote system type is UNIX.
Using binary mode to transfer files.
ftp> dir
200 PORT command successful.
150 Opening ASCII mode data connection for /bin/ls.
226 Transfer complete.
ftp> ls
200 PORT command successful.
150 Opening ASCII mode data connection for file list.
bin
etc
pub
vol
local
226 Transfer complete.
ftp> ls -a
200 PORT command successful.
150 Opening ASCII mode data connection for /bin/ls.
226 Transfer complete.
ftp> 

For a real user the dir command works fine. I suppose there is
some configuration set to deny anonymous long listings, but I
cannot figure out which one, since this happens even for the most
simple possible ftpaccess file. The file permissions are as
recommended, that is r-xr-xr-x for directories, --x--x--x for
progs under /bin and even rwxr-xr-x for incoming.

I'm looking for any hints.

Regards,
						Dieter 
 
  _____________________________*__________________________________
 /                          *       [email-masked]         \
 \ Dieter Meinert    (-      **     http://abrixas.aip.de/~dieter/ \
  \__________________A______*__*___________________________________/
   (public pgp key from http://141.33.192.49/~dieter/.Adresse.html)